Menu

System Requirements and Supported Browsers

Thinkific is constantly updating in order to improve the platform for our customers which requires keeping your web browser up to date to use all of our features! In addition to having the latest web browser, there are a few other requirements below that will help ensure you and your students' experience while using Thinkific goes smoothly.


In order to make sure Thinkific runs well, please make sure your desktop/device has the following:

  • The most recent version of a web browser listed below
  • Javascript enabled
  • PDF plugin
  • Graphic and audio output capability
  • Broadband internet connection with a minimum speed of 5Mbps (recommended)
  • TLS 1.2 supported by your web browser


We currently support the latest two versions of all browsers listed, unless otherwise noted.

 

Site Owners (Admin Dashboard)

Desktop:

  • Chrome
  • Firefox
  • Safari
  • Edge


Note: While we support all of the browsers listed above, we recommend using Chrome or Firefox on a desktop for best results while creating your courses. 


Students

Desktop:

  • Firefox
  • Safari
  • Chrome
  • Edge


Mobile:

  • iOS Safari: 11 and up
  • Chrome
  • Samsung Internet


Note that we do not support Internet Explorer. You will see the following message if attempting to access Thinkific on Internet Explorer.

 



Did you find it helpful? Yes No

Send feedback
Sorry we couldn't be helpful. Help us improve this article with your feedback.